API referenceWaterfalls
List waterfalls
Waterfalls and pipelines in this org, newest first, with their published version.
Authorization
bearer AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/waterfalls"{ "items": [ { "object": "waterfall", "id": "string", "name": "string", "title": "string", "description": "string", "status": "draft", "draft": { "kind": "waterfall", "id": "main", "capability": "string", "steps": [ { "type": "endpoint", "endpoint_id": "string", "id": "string", "timeout_ms": 100, "retries": 0, "retry_backoff_ms": 250, "max_cost_micro": 0, "required_fields": [], "min_confidence": 0, "confidence_field": "confidence", "prefer_verified": false, "continue_on_hit": false, "credential": "auto", "on_client_error": "continue", "when": { "field": "string", "op": "eq", "value": "string" } } ], "speed": { "profile": "balanced" }, "stop": [ { "rule": "first_hit" } ], "stop_mode": "any", "merge": {}, "input_map": {}, "when": { "field": "string", "op": "eq", "value": "string" }, "fields": [ "string" ], "max_cost_micro": 0, "deadline_ms": 500 }, "published_version": "string", "latest_version": "string", "versions": [ { "version": "string", "created_at": "2019-08-24T14:15:22Z" } ], "template": "string", "endpoint": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" } ]}